require "scripts/style"


MyFont = {
  titleFont,
  30,
  RedColor
};

NameFont = {
  standardFont,
  15,
  WhiteColor
};


MakeDialog
{
	name = "gameMode",
	Bitmap
	{
		image="backgrounds/mode",
		x=kCenter+1,
		y=kCenter-15,
		Text
		{
			font = MyFont,
			name = "modetitle",
			x=0,y=48,w=kMax,h=30,
			flags = kHAlignCenter + kVAlignTop,
			label = "modetitle"
		};

		SetStyle(ModeButtonStyle),
		Button
		{
			name = "rookiemode",
			x = 27,
			y = 79,
			command =
			function()
				SetUserTimedMode( false );
				PopModal("gameMode");
			end
		},
		
		SetStyle(ModeButtonStyle),
		Button
		{
			name = "detectivemode",
			x = 27,
			y = 178,
			command =
			function()
				SetUserTimedMode( true );
				PopModal("gameMode");
			end
		},
		
		Text
		{
			font = ModeButtonTitleFont,
			name = "rookietitle",
			x=53,y=98,w=300,h=30,
			flags = kHAlignCenter + kVAlignTop,
			label = "rookietitle"
		};
		
		Text
		{
			font = ModeButtonTextFont,
			name = "rookietext",
			x=44,y=113,w=320,h=50,
			flags = kHAlignCenter + kVAlignCenter,
			label = "rookietext"
		};
		
		Text
		{
			font = ModeButtonTitleFont,
			name = "detectivetitle",
			x=53,y=197,w=300,h=30,
			flags = kHAlignCenter + kVAlignTop,
			label = "detectivetitle"
		};
		
		Text
		{
			font = ModeButtonTextFont,
			name = "detectivetext",
			x=44,y=212,w=320,h=50,
			flags = kHAlignCenter + kVAlignCenter,
			label = "detectivetext"
		};
	},
}
